Page MenuHomePhabricator

Migrate all event-schemas schemas to current.yaml and materialize with jsonschema-tools and remove old schemas
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Ottomata created this task.Sep 5 2019, 7:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2019, 7:52 PM
Ottomata renamed this task from M to Migrate all event-schemas schemas to current.yaml and materialize with jsonschema-tools..Sep 5 2019, 7:52 PM
Ottomata updated the task description. (Show Details)

Change 534676 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/event-schemas@master] Add revision/common schema and reference it using revision/*/current.yaml schemas

https://gerrit.wikimedia.org/r/534676

Change 534679 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/event-schemas@master] Migrate page schemas to current.yaml

https://gerrit.wikimedia.org/r/534679

Change 534679 merged by Ottomata:
[mediawiki/event-schemas@master] Migrate page schemas to current.yaml

https://gerrit.wikimedia.org/r/534679

Change 534676 merged by Ppchelko:
[mediawiki/event-schemas@master] Add revision/common schema and reference it using revision/*/current.yaml schemas

https://gerrit.wikimedia.org/r/534676

Change 534687 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/event-schemas@master] Update non-mediawiki events to current.yaml

https://gerrit.wikimedia.org/r/534687

Change 534687 merged by Ottomata:
[mediawiki/event-schemas@master] Update non-mediawiki events to current.yaml

https://gerrit.wikimedia.org/r/534687

Change 534689 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/event-schemas@master] Convert the rest of mw events to current.yaml

https://gerrit.wikimedia.org/r/534689

Change 534689 merged by Ottomata:
[mediawiki/event-schemas@master] Convert the rest of mw events to current.yaml

https://gerrit.wikimedia.org/r/534689

Pchelolo closed this task as Resolved.Sep 5 2019, 10:57 PM
Ottomata reopened this task as Open.Sep 6 2019, 1:25 PM

Let's use this task also for deleting the N.yaml schemas when we are ready. (next week?)

Ottomata moved this task from Backlog to In Progress on the Event-Platform board.Sep 9 2019, 6:27 PM
Ottomata renamed this task from Migrate all event-schemas schemas to current.yaml and materialize with jsonschema-tools. to Migrate all event-schemas schemas to current.yaml and materialize with jsonschema-tools and remove old schemas.Sep 9 2019, 6:30 PM

Change 535260 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/event-schemas@master] Remove non semver (eventgate style) schemas

https://gerrit.wikimedia.org/r/535260

Change 535260 merged by Ppchelko:
[mediawiki/event-schemas@master] Remove non semver (eventgate style) schemas

https://gerrit.wikimedia.org/r/535260

Pchelolo closed this task as Resolved.Sep 11 2019, 10:11 PM